Package org.springframework.aot.hint.predicate

# Class SerializationHintsPredicates

java.lang.Object
org.springframework.aot.hint.predicate.SerializationHintsPredicates

public class SerializationHintsPredicates extends Object
Generator of `SerializationHints` predicates, testing whether the given hints match the expected behavior for serialization.

Since:
  6.0
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`Predicate<RuntimeHints>`
`onType(Class<?> type)`
Return a predicate that checks whether a `serialization hint` is registered for the given type.
`Predicate<RuntimeHints>`
`onType(TypeReference typeReference)`
Return a predicate that checks whether a `serialization hint` is registered for the given type reference.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### onType

public Predicate<RuntimeHints> onType(Class<?> type)
Return a predicate that checks whether a `serialization hint` is registered for the given type.

Parameters:
  `type` - the type to check
Returns:
  the `RuntimeHints` predicate
See Also:
  - `Proxy`

### onType

public Predicate<RuntimeHints> onType(TypeReference typeReference)
Return a predicate that checks whether a `serialization hint` is registered for the given type reference.

Parameters:
  `typeReference` - the type to check
Returns:
  the `RuntimeHints` predicate
See Also:
  - `Proxy`